org.apache.ignite.ml.util.generators.primitives.scalar

## Class GaussRandomProducer

- java.lang.Object
- - org.apache.ignite.ml.util.generators.primitives.scalar.GaussRandomProducer

- All Implemented Interfaces:
    Supplier<Double>, RandomProducer

      public class GaussRandomProducer
      extends Object

  Pseudorandom producer generating values from gauss distribution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GaussRandomProducer()` Creates an instance of GaussRandomProducer with mean = 0 and variance = 1.0.
    `GaussRandomProducer(double mean, double variance)` Creates an instance of GaussRandomProducer.
    `GaussRandomProducer(double mean, double variance, long seed)` Creates an instance of GaussRandomProducer.
    `GaussRandomProducer(long seed)` Creates an instance of GaussRandomProducer with mean = 0 and variance = 1.0.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Random` | `generator()`
    `Double` | `get()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.util.generators.primitives.scalar.RandomProducer

      `noizify, noizify, vectorize, vectorize`

- - ### Constructor Detail

    - #### GaussRandomProducer

          public GaussRandomProducer()

      Creates an instance of GaussRandomProducer with mean = 0 and variance = 1.0.

    - #### GaussRandomProducer

          public GaussRandomProducer(long seed)

      Creates an instance of GaussRandomProducer with mean = 0 and variance = 1.0.
      Parameters:
        `seed` - Seed.

    - #### GaussRandomProducer

          public GaussRandomProducer(double mean,
                                     double variance)

      Creates an instance of GaussRandomProducer.
      Parameters:
        `mean` - Mean.
        `variance` - Variance.

    - #### GaussRandomProducer

          public GaussRandomProducer(double mean,
                                     double variance,
                                     long seed)

      Creates an instance of GaussRandomProducer.
      Parameters:
        `mean` - Mean.
        `variance` - Variance.
        `seed` - Seed.

  - ### Method Detail

    - #### get

          public Double get()

    - #### generator

          protected Random generator()

      Returns:
        Java pseudo-random values generator.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021